## TumblerCache TumblerCache |

## Functions

TumblerCache * | tumbler_cache_get_default ()
TumblerThumbnail * | tumbler_cache_get_thumbnail ()
void | tumbler_cache_cleanup ()
void | tumbler_cache_delete ()
void | tumbler_cache_copy ()
void | tumbler_cache_move ()
gboolean | tumbler_cache_is_thumbnail ()
GList * | tumbler_cache_get_flavors ()
TumblerThumbnailFlavor * | tumbler_cache_get_flavor ()

## Object Hierarchy

        GInterface
        ╰── TumblerCache

## Description

## Functions

### tumbler_cache_get_default ()

    TumblerCache *
    tumbler_cache_get_default (void);

### tumbler_cache_get_thumbnail ()

    TumblerThumbnail *
    tumbler_cache_get_thumbnail (TumblerCache *cache,
                                 const gchar *uri,
                                 TumblerThumbnailFlavor *flavor);

### tumbler_cache_cleanup ()

    void
    tumbler_cache_cleanup (TumblerCache *cache,
                           const gchar *const *base_uris,
                           guint64 since);

### tumbler_cache_delete ()

    void
    tumbler_cache_delete (TumblerCache *cache,
                          const gchar *const *uris);

### tumbler_cache_copy ()

    void
    tumbler_cache_copy (TumblerCache *cache,
                        const gchar *const *from_uris,
                        const gchar *const *to_uris);

### tumbler_cache_move ()

    void
    tumbler_cache_move (TumblerCache *cache,
                        const gchar *const *from_uris,
                        const gchar *const *to_uris);

### tumbler_cache_is_thumbnail ()

    gboolean
    tumbler_cache_is_thumbnail (TumblerCache *cache,
                                const gchar *uri);

### tumbler_cache_get_flavors ()

    GList *
    tumbler_cache_get_flavors (TumblerCache *cache);

### tumbler_cache_get_flavor ()

    TumblerThumbnailFlavor *
    tumbler_cache_get_flavor (TumblerCache *cache,
                              const gchar *name);